{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":574,"path":"api-reference/rest-apis/wsd_grp_reserv-api.md","title":"WSD Group Reservation API","bundle":null,"doc_type":null,"release":"australia","body":"\n# WSD Group Reservation API\n\nThe Workplace Service Delivery \\(WSD\\) Group Reservation API provides endpoints for managing group reservations.\n\nGroup reservations allow you to reserve different locations for various people \\(groups\\) for the same meeting.\n\nThis API runs in the `sn_wsd_rsv` namespace. To access this API, the caller must have the sn\\_wsd\\_core.workplace\\_user role and the Workplace Reservation Management \\(sn\\_wsd\\_rsv\\) plugin must be activated.\n\nFor additional information on Workplace Reservation Management, see [Workplace Reservation Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/workplace-rsv-mgmt-feat.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## WSD Group Reservation - GET /api/sn\\_wsd\\_rsv/group\\_reservation/\\{parent\\_id\\}\n\nReturns the parent and all child reservations for a specified group reservation.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/group_reservation/{parent_id}`\n\nDefault URL: `/api/sn_wsd_rsv/group_reservation/{parent_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nparent\\_id\n\n</td><td>\n\nSys\\_id of the parent reservation record.\n\nWhen a group reservation is created, one group parent record and one or more child reservation records are created. Reservation records contain a field called reservation\\_subtype, that indicates the type of reservation record. For group parent records, this field is set to \"Group parent\" to indicate that it is a group parent record. For child records, this field is set to \"Single\".\n\nWithin a child record, the sys\\_id of the associated parent reservation record is in the source\\_reservation field.\n\nData type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-reserv-entry\">\n\nData format of the request body. Supported types: **application/json**, **application/xml** or, **text/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. Invalid or no parent reservation sys\\_id provided.|\n|404|Access denied. Unable to cancel group reservation. User has insufficient rights to cancel the requested group reservation.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails about the parent and children reservations associated with the group reservation.Data type: Object\n\n```\n{\n  \"result\": {\n    \"parent\": {Object},\n    \"children\": [Array]\n}\n```\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to retrieve the details for a group reservation.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/group_reservation/e2245051533b01103cf7ddeeff7b12d6\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"parent\": {\n      \"sys_id\": \"e2245051533b01103cf7ddeeff7b12d6\",\n      \"number\": \"WRES0001142\",\n      \"start\": \"2022-05-30T04:30:00Z\",\n      \"end\": \"2022-05-30T05:30:00Z\",\n      \"sys_created_on\": \"2022-05-30T04:19:02Z\",\n      \"sys_updated_on\": \"2022-05-30T04:19:04Z\",\n      \"source_reservation\": null,\n      \"check_in_state\": {\n        \"value\": \"not_required\",\n        \"display_value\": \"Not required\"\n      },\n      \"external_id\": null,\n      \"external_ical\": null,\n      \"active\": true,\n      \"state\": {\n        \"value\": \"confirmed\",\n        \"display_value\": \"Confirmed\"\n      },\n      \"sensitivity\": {\n        \"value\": \"normal\",\n        \"display_value\": \"Normal\"\n      },\n      \"reservation_type\": {\n        \"value\": \"space\",\n        \"display_value\": \"Space\"\n      },\n      \"reservation_subtype\": {\n        \"value\": \"group_parent\",\n        \"display_value\": \"Group parent\"\n      },\n      \"reservation_purpose\": {\n        \"value\": \"meeting\",\n        \"display_value\": \"Meeting\"\n      },\n      \"attendees\": null,\n      \"number_of_attendees\": 1,\n      \"is_parent\": true,\n      \"subject\": \"Test#52\",\n      \"virtual_meeting\": null,\n      \"recording_details\": [],\n      \"sync_state\": {\n        \"value\": \"not_required\",\n        \"display_value\": \"Synchronization not required\"\n      },\n      \"sub_source\": {\n        \"value\": \"servicenow_workplace_service_delivery\",\n        \"display_value\": \"ServiceNow Workplace Service Delivery\"\n      },\n      \"last_updated_sub_source\": {\n        \"value\": \"servicenow_workplace_service_delivery\",\n        \"display_value\": \"ServiceNow Workplace Service Delivery\"\n      },\n      \"reservable_module\": {\n        \"sys_id\": \"5db44502dbb650106c731dcd13961937\",\n        \"name\": \"Desks\",\n        \"title\": \"Desks\",\n        \"inline_title\": \"desk\",\n        \"font_awesome_icon\": \"fa-desktop\",\n        \"reservable_table\": \"sn_wsd_core_space\",\n        \"reservable_filter\": \"active=true^is_reservable=true^location_type=5f017383eb512010b89bfdfc9c5228c8^building.is_reservable=true^floor.is_reservable=true^EQ\",\n        \"short_description\": \"Reserve a single desks\",\n        \"reservable_type\": \"location\",\n        \"require_subject\": null,\n        \"require_cancel_notes\": false,\n        \"virtual_meeting_provider\": {\n          \"sys_id\": \"e33d9e6853c201103cf7ddeeff7b1205\",\n          \"display_value\": \"Template\"\n        },\n        \"allow_invitees\": null,\n        \"display_number_of_attendees\": null,\n        \"display_on_behalf_of\": \"1\",\n        \"display_sensitivity\": null,\n        \"max_days_in_future\": \"90\",\n        \"allow_whole_day\": \"1\",\n        \"require_whole_day\": null,\n        \"selection_type\": \"unit\",\n        \"reservable_container_field\": null,\n        \"reservable_quantity_field\": null,\n        \"apply_to_shift\": null,\n        \"max_occurrences\": \"90\",\n        \"enable_facet_filter\": false,\n        \"search_limit\": 10000,\n        \"enable_ical_generation\": null,\n        \"enable_group_reservations\": \"1\",\n        \"enable_browse_near_a_person\": \"1\",\n        \"enable_browse_by_area\": \"1\",\n        \"display_value\": \"Desks\",\n        \"browse_near_a_person_enabled\": true,\n        \"browse_by_area_enabled\": true,\n        \"reservable_columns\": [\n          \"sys_id\",\n          \"external_id\",\n          \"email\",\n          \"name\",\n          \"title\",\n          \"description\",\n          \"image\",\n          \"number\",\n          \"site\",\n          \"campus\",\n          \"building\",\n          \"floor\",\n          \"area\",\n          \"capacity\",\n          \"reservable_quantity\",\n          \"location_type\",\n          \"order\",\n          \"requires_check_in\",\n          \"is_reservable\"\n        ],\n        \"layout_mapping\": {\n          \"title\": [\n            \"name\"\n          ],\n          \"description\": [\n            \"description\"\n          ],\n          \"subtitle\": [\n            \"campus\",\n            \"building\",\n            \"floor\",\n            \"area\"\n          ],\n          \"subtitle_asc\": [\n            \"area\",\n            \"floor\",\n            \"building\",\n            \"campus\"\n          ],\n          \"image\": \"image\",\n          \"body\": [\n            {\n              \"label\": \"Capacity\",\n              \"icon\": \"fa-users\",\n              \"field\": \"capacity\",\n              \"field_to_display\": \"\"\n            },\n            {\n              \"label\": \"Standard services\",\n              \"icon\": \"fa-check\",\n              \"field\": \"standard_services\",\n              \"field_to_display\": \"name\"\n            },\n            {\n              \"label\": \"Reservable purposes\",\n              \"icon\": \"fa-tags\",\n              \"field\": \"reservable_purposes\",\n              \"field_to_display\": \"name\"\n            }\n          ]\n        },\n        \"timeSlots\": [\n          {\n            \"sys_id\": \"d5331cf2dbb5f01038e42b24ca961906\",\n            \"name\": \"All day\",\n            \"short_description\": \"8am - 6pm\",\n            \"slot_start\": \"08:00\",\n            \"slot_end\": \"18:00\"\n          },\n          {\n            \"sys_id\": \"de131cf2dbb5f01038e42b24ca961931\",\n            \"name\": \"Before noon\",\n            \"short_description\": \"8am - 12pm\",\n            \"slot_start\": \"08:00\",\n            \"slot_end\": \"12:00\"\n          },\n          {\n            \"sys_id\": \"6e99ab5ddbb930102e8e853e68961929\",\n            \"name\": \"After noon\",\n            \"short_description\": \"1pm - 6pm\",\n            \"slot_start\": \"13:00\",\n            \"slot_end\": \"18:00\"\n          }\n        ],\n        \"buildingSysIds\": [\n          \"9e0364cedb3650106c731dcd1396192b\"\n        ],\n        \"reservable_views\": [\n          {\n            \"type\": \"card\",\n            \"label\": \"Card view\",\n            \"iconClass\": \"fa-th-large\",\n            \"isDefault\": true,\n            \"order\": \"1\"\n          },\n          {\n            \"type\": \"schedule\",\n            \"label\": \"Schedule view\",\n            \"iconClass\": \"fa-calendar-o\",\n            \"isDefault\": false,\n            \"order\": \"2\"\n          }\n        ],\n        \"checkin_before_minutes\": 30,\n        \"reservation_paths\": [\n          {\n            \"value\": \"browse_all\",\n            \"displayValue\": \"Browse all\"\n          },\n          {\n            \"value\": \"browse_near_a_person\",\n            \"displayValue\": \"Browse near a person\"\n          },\n          {\n            \"value\": \"browse_by_area\",\n            \"displayValue\": \"Browse by area\"\n          }\n        ],\n        \"override_approval_policy\": \"never_required\"\n      },\n      \"notification_recipients\": null,\n      \"notification_custom_message\": null,\n      \"opened_by\": {\n        \"sys_id\": \"6816f79cc0a8016401c5a33be04be441\",\n        \"value\": \"6816f79cc0a8016401c5a33be04be441\",\n        \"displayValue\": \"System Administrator\",\n        \"display_value\": \"System Administrator\",\n        \"name\": \"System Administrator\",\n        \"user_name\": \"admin\",\n        \"table\": \"sys_user\",\n        \"avatar\": \"c148e1d13741310042106710ce41f149.iix?t=small\",\n        \"initials\": \"SA\",\n        \"email\": \"admin@example.com\",\n        \"label\": \"System Administrator, Finance\"\n      },\n      \"requested_for\": {\n        \"sys_id\": \"6816f79cc0a8016401c5a33be04be441\",\n        \"value\": \"6816f79cc0a8016401c5a33be04be441\",\n        \"displayValue\": \"System Administrator\",\n        \"display_value\": \"System Administrator\",\n        \"name\": \"System Administrator\",\n        \"user_name\": \"admin\",\n        \"table\": \"sys_user\",\n        \"avatar\": \"c148e1d13741310042106710ce41f149.iix?t=small\",\n        \"initials\": \"SA\",\n        \"email\": \"admin@example.com\",\n        \"label\": \"System Administrator, Finance\"\n      },\n      \"edit_restriction\": {\n        \"value\": \"no_restriction\",\n        \"display_value\": \"No restriction\"\n      },\n      \"source\": {\n        \"value\": \"servicenow\",\n        \"display_value\": \"Workplace Services\"\n      },\n      \"source_icon\": {\n        \"classNames\": \"fa fa-calendar-check-o\",\n        \"tooltip\": \"Reservation is confirmed\",\n        \"imgSrc\": \"\"\n      },\n      \"shift\": null,\n      \"locations\": [\n        {\n          \"sys_id\": \"73c2698adb7210106c731dcd13961968\",\n          \"name\": \"B1-03-03\",\n          \"description\": \"Desk reserved for the Team-C. After 10am, free to reserve for everyone.\",\n          \"display_value\": \"B1-03-03\",\n          \"capacity\": 1,\n          \"label_value\": \"Workspace/Desk name\",\n          \"email\": null,\n          \"reservable_module\": {\n            \"sys_id\": \"5db44502dbb650106c731dcd13961937\",\n            \"name\": \"Desks\",\n            \"title\": \"Desks\",\n            \"inline_title\": \"desk\"\n          },\n          \"region\": {\n            \"sys_id\": \"2d626c4edb3650106c731dcd1396194b\",\n            \"display_value\": \"Europe\",\n            \"active\": true\n          },\n          \"site\": {\n            \"sys_id\": \"b17220cedb3650106c731dcd1396197a\",\n            \"display_value\": \"Western Europe\",\n            \"active\": true\n          },\n          \"campus\": {\n            \"sys_id\": \"44d2e0cedb3650106c731dcd13961988\",\n            \"display_value\": \"Amsterdam Campus\",\n            \"active\": true\n          },\n          \"building\": {\n            \"sys_id\": \"9e0364cedb3650106c731dcd1396192b\",\n            \"display_value\": \"AMS-B1\",\n            \"active\": true,\n            \"timezone\": {\n              \"value\": \"Europe/Amsterdam\",\n              \"displayValue\": \"Europe/Amsterdam\"\n            }\n          },\n          \"floor\": {\n            \"sys_id\": \"5373a8cedb3650106c731dcd1396198a\",\n            \"display_value\": \"Floor 3\",\n            \"active\": true\n          },\n          \"area\": {\n            \"sys_id\": \"410ff04edb7650106c731dcd13961973\",\n            \"display_value\": \"Desks C1\",\n            \"active\": true\n          },\n          \"reservation\": {\n            \"sys_id\": \"2a24d0d1533b01103cf7ddeeff7b126b\",\n            \"number_of_attendees\": 1,\n            \"state\": {\n              \"value\": \"confirmed\",\n              \"display_value\": \"Confirmed\"\n            },\n            \"requested_for\": {\n              \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\",\n              \"value\": \"62826bf03710200044e0bfc8bcbe5df1\",\n              \"displayValue\": \"Abel Tuter\",\n              \"display_value\": \"Abel Tuter\",\n              \"name\": \"Abel Tuter\",\n              \"user_name\": \"abel.tuter\",\n              \"table\": \"sys_user\",\n              \"avatar\": \"063e38383730310042106710ce41f13b.iix?t=small\",\n              \"initials\": \"AT\",\n              \"email\": \"abel.tuter@example.com\",\n              \"label\": \"Product Management\"\n            },\n            \"number\": \"WRES0001143\",\n            \"active\": true\n          },\n          \"number_of_attendees\": 1,\n          \"state\": {\n            \"value\": \"confirmed\",\n            \"display_value\": \"Confirmed\"\n          },\n          \"number\": \"WRES0001143\",\n          \"requested_for\": {\n            \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\",\n            \"value\": \"62826bf03710200044e0bfc8bcbe5df1\",\n            \"displayValue\": \"Abel Tuter\",\n            \"display_value\": \"Abel Tuter\",\n            \"name\": \"Abel Tuter\",\n            \"user_name\": \"abel.tuter\",\n            \"table\": \"sys_user\",\n            \"avatar\": \"063e38383730310042106710ce41f13b.iix?t=small\",\n            \"initials\": \"AT\",\n            \"email\": \"abel.tuter@example.com\",\n            \"label\": \"Product Management\"\n          }\n        },\n        {\n          \"sys_id\": \"32f2a98adb7210106c731dcd13961972\",\n          \"name\": \"B1-03-04\",\n          \"description\": \"Desk reserved for the Team-C. After 10am, free to reserve for everyone.\",\n          \"display_value\": \"B1-03-04\",\n          \"capacity\": 1,\n          \"label_value\": \"Workspace/Desk name\",\n          \"email\": null,\n          \"reservable_module\": {\n            \"sys_id\": \"5db44502dbb650106c731dcd13961937\",\n            \"name\": \"Desks\",\n            \"title\": \"Desks\",\n            \"inline_title\": \"desk\"\n          },\n          \"region\": {\n            \"sys_id\": \"2d626c4edb3650106c731dcd1396194b\",\n            \"display_value\": \"Europe\",\n            \"active\": true\n          },\n          \"site\": {\n            \"sys_id\": \"b17220cedb3650106c731dcd1396197a\",\n            \"display_value\": \"Western Europe\",\n            \"active\": true\n          },\n          \"campus\": {\n            \"sys_id\": \"44d2e0cedb3650106c731dcd13961988\",\n            \"display_value\": \"Amsterdam Campus\",\n            \"active\": true\n          },\n          \"building\": {\n            \"sys_id\": \"9e0364cedb3650106c731dcd1396192b\",\n            \"display_value\": \"AMS-B1\",\n            \"active\": true,\n            \"timezone\": {\n              \"value\": \"Europe/Amsterdam\",\n              \"displayValue\": \"Europe/Amsterdam\"\n            }\n          },\n          \"floor\": {\n            \"sys_id\": \"5373a8cedb3650106c731dcd1396198a\",\n            \"display_value\": \"Floor 3\",\n            \"active\": true\n          },\n          \"area\": {\n            \"sys_id\": \"410ff04edb7650106c731dcd13961973\",\n            \"display_value\": \"Desks C1\",\n            \"active\": true\n          },\n          \"reservation\": {\n            \"sys_id\": \"6a24d0d1533b01103cf7ddeeff7b126e\",\n            \"number_of_attendees\": 1,\n            \"state\": {\n              \"value\": \"confirmed\",\n              \"display_value\": \"Confirmed\"\n            },\n            \"requested_for\": {\n              \"sys_id\": \"a8f98bb0eb32010045e1a5115206fe3a\",\n              \"value\": \"a8f98bb0eb32010045e1a5115206fe3a\",\n              \"displayValue\": \"Abraham Lincoln\",\n              \"display_value\": \"Abraham Lincoln\",\n              \"name\": \"Abraham Lincoln\",\n              \"user_name\": \"abraham.lincoln\",\n              \"table\": \"sys_user\",\n              \"avatar\": null,\n              \"initials\": \"AL\",\n              \"email\": \"abraham.lincoln@example.com\",\n              \"label\": \"\"\n            },\n            \"number\": \"WRES0001144\",\n            \"active\": true\n          },\n          \"number_of_attendees\": 1,\n          \"state\": {\n            \"value\": \"confirmed\",\n            \"display_value\": \"Confirmed\"\n          },\n          \"number\": \"WRES0001144\",\n          \"requested_for\": {\n            \"sys_id\": \"a8f98bb0eb32010045e1a5115206fe3a\",\n            \"value\": \"a8f98bb0eb32010045e1a5115206fe3a\",\n            \"displayValue\": \"Abraham Lincoln\",\n            \"display_value\": \"Abraham Lincoln\",\n            \"name\": \"Abraham Lincoln\",\n            \"user_name\": \"abraham.lincoln\",\n            \"table\": \"sys_user\",\n            \"avatar\": null,\n            \"initials\": \"AL\",\n            \"email\": \"abraham.lincoln@example.com\",\n            \"label\": \"\"\n          }\n        }\n      ],\n      \"reservationAcl\": {\n        \"write\": {\n          \"record\": true,\n          \"fields\": {\n            \"subject\": true,\n            \"sensitivity\": true,\n            \"requested_for\": true,\n            \"number_of_attendees\": true,\n            \"location\": true\n          },\n          \"allFields\": true\n        },\n        \"read\": true\n      }\n    },\n    \"children\": [\n      {\n        \"sys_id\": \"2a24d0d1533b01103cf7ddeeff7b126b\",\n        \"number\": \"WRES0001143\",\n        \"location\": {\n          \"sys_id\": \"73c2698adb7210106c731dcd13961968\",\n          \"name\": \"B1-03-03\",\n          \"description\": \"Desk reserved for the Team-C. After 10am, free to reserve for everyone.\",\n          \"display_value\": \"B1-03-03\",\n          \"capacity\": 1,\n          \"label_value\": \"Workspace/Desk name\",\n          \"email\": null,\n          \"reservable_module\": {\n            \"sys_id\": \"5db44502dbb650106c731dcd13961937\",\n            \"name\": \"Desks\",\n            \"title\": \"Desks\",\n            \"inline_title\": \"desk\"\n          },\n          \"region\": {\n            \"sys_id\": \"2d626c4edb3650106c731dcd1396194b\",\n            \"display_value\": \"Europe\",\n            \"active\": true\n          },\n          \"site\": {\n            \"sys_id\": \"b17220cedb3650106c731dcd1396197a\",\n            \"display_value\": \"Western Europe\",\n            \"active\": true\n          },\n          \"campus\": {\n            \"sys_id\": \"44d2e0cedb3650106c731dcd13961988\",\n            \"display_value\": \"Amsterdam Campus\",\n            \"active\": true\n          },\n          \"building\": {\n            \"sys_id\": \"9e0364cedb3650106c731dcd1396192b\",\n            \"display_value\": \"AMS-B1\",\n            \"active\": true,\n            \"timezone\": {\n              \"value\": \"Europe/Amsterdam\",\n              \"displayValue\": \"Europe/Amsterdam\"\n            }\n          },\n          \"floor\": {\n            \"sys_id\": \"5373a8cedb3650106c731dcd1396198a\",\n            \"display_value\": \"Floor 3\",\n            \"active\": true\n          },\n          \"area\": {\n            \"sys_id\": \"410ff04edb7650106c731dcd13961973\",\n            \"display_value\": \"Desks C1\",\n            \"active\": true\n          },\n          \"reservation\": {\n            \"sys_id\": \"2a24d0d1533b01103cf7ddeeff7b126b\",\n            \"number_of_attendees\": 1,\n            \"state\": {\n              \"value\": \"confirmed\",\n              \"display_value\": \"Confirmed\"\n            },\n            \"requested_for\": {\n              \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\",\n              \"name\": \"Abel Tuter\",\n              \"user_name\": \"abel.tuter\"\n            },\n            \"number\": \"WRES0001143\",\n            \"active\": true\n          },\n          \"number_of_attendees\": 1,\n          \"state\": {\n            \"value\": \"confirmed\",\n            \"display_value\": \"Confirmed\"\n          },\n          \"number\": \"WRES0001143\",\n          \"requested_for\": {\n            \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\",\n            \"name\": \"Abel Tuter\",\n            \"user_name\": \"abel.tuter\"\n          }\n        },\n        \"start\": \"2022-05-30T04:30:00Z\",\n        \"end\": \"2022-05-30T05:30:00Z\",\n        \"sys_created_on\": \"2022-05-30T04:19:02Z\",\n        \"sys_updated_on\": \"2022-05-30T04:19:04Z\",\n        \"source_reservation\": {\n          \"sys_id\": \"e2245051533b01103cf7ddeeff7b12d6\",\n          \"display_value\": \"WRES0001142\",\n          \"name\": \"WRES0001142\"\n        },\n        \"check_in_state\": {\n          \"value\": \"awaiting_check_in\",\n          \"display_value\": \"Awaiting check-in\"\n        },\n        \"external_id\": null,\n        \"external_ical\": null,\n        \"active\": true,\n        \"state\": {\n          \"value\": \"confirmed\",\n          \"display_value\": \"Confirmed\"\n        },\n        \"sensitivity\": {\n          \"value\": \"normal\",\n          \"display_value\": \"Normal\"\n        },\n        \"reservation_type\": {\n          \"value\": \"space\",\n          \"display_value\": \"Space\"\n        },\n        \"reservation_subtype\": {\n          \"value\": \"single\",\n          \"display_value\": \"Single\"\n        },\n        \"reservation_purpose\": {\n          \"value\": \"meeting\",\n          \"display_value\": \"Meeting\"\n        },\n        \"attendees\": null,\n        \"number_of_attendees\": 1,\n        \"is_parent\": false,\n        \"subject\": \"Test#52\",\n        \"virtual_meeting\": null,\n        \"recording_details\": [],\n        \"sync_state\": {\n          \"value\": \"not_required\",\n          \"display_value\": \"Synchronization not required\"\n        },\n        \"sub_source\": {\n          \"value\": \"servicenow_workplace_service_delivery\",\n          \"display_value\": \"ServiceNow Workplace Service Delivery\"\n        },\n        \"last_updated_sub_source\": {\n          \"value\": \"servicenow_workplace_service_delivery\",\n          \"display_value\": \"ServiceNow Workplace Service Delivery\"\n        },\n        \"reservable_module\": {\n          \"sys_id\": \"5db44502dbb650106c731dcd13961937\",\n          \"name\": \"Desks\",\n          \"title\": \"Desks\",\n          \"inline_title\": \"desk\",\n          \"font_awesome_icon\": \"fa-desktop\",\n          \"reservable_table\": \"sn_wsd_core_space\",\n          \"reservable_filter\": \"active=true^is_reservable=true^location_type=5f017383eb512010b89bfdfc9c5228c8^building.is_reservable=true^floor.is_reservable=true^EQ\",\n          \"short_description\": \"Reserve a single desks\",\n          \"reservable_type\": \"location\",\n          \"require_subject\": null,\n          \"require_cancel_notes\": false,\n          \"virtual_meeting_provider\": {\n            \"sys_id\": \"e33d9e6853c201103cf7ddeeff7b1205\",\n            \"display_value\": \"Template\"\n          },\n          \"allow_invitees\": null,\n          \"display_number_of_attendees\": null,\n          \"display_on_behalf_of\": \"1\",\n          \"display_sensitivity\": null,\n          \"max_days_in_future\": \"90\",\n          \"allow_whole_day\": \"1\",\n          \"require_whole_day\": null,\n          \"selection_type\": \"unit\",\n          \"reservable_container_field\": null,\n          \"reservable_quantity_field\": null,\n          \"apply_to_shift\": null,\n          \"max_occurrences\": \"90\",\n          \"enable_facet_filter\": false,\n          \"search_limit\": 10000,\n          \"enable_ical_generation\": null,\n          \"enable_group_reservations\": \"1\",\n          \"enable_browse_near_a_person\": \"1\",\n          \"enable_browse_by_area\": \"1\",\n          \"display_value\": \"Desks\",\n          \"browse_near_a_person_enabled\": true,\n          \"browse_by_area_enabled\": true,\n          \"reservable_columns\": [\n            \"sys_id\",\n            \"external_id\",\n            \"email\",\n            \"name\",\n            \"title\",\n            \"description\",\n            \"image\",\n            \"number\",\n            \"site\",\n            \"campus\",\n            \"building\",\n            \"floor\",\n            \"area\",\n            \"capacity\",\n            \"reservable_quantity\",\n            \"location_type\",\n            \"order\",\n            \"requires_check_in\",\n            \"is_reservable\"\n          ],\n          \"layout_mapping\": {\n            \"title\": [\n              \"name\"\n            ],\n            \"description\": [\n              \"description\"\n            ],\n            \"subtitle\": [\n              \"campus\",\n              \"building\",\n              \"floor\",\n              \"area\"\n            ],\n            \"subtitle_asc\": [\n              \"area\",\n              \"floor\",\n              \"building\",\n              \"campus\"\n            ],\n            \"image\": \"image\",\n            \"body\": [\n              {\n                \"label\": \"Capacity\",\n                \"icon\": \"fa-users\",\n                \"field\": \"capacity\",\n                \"field_to_display\": \"\"\n              },\n              {\n                \"label\": \"Standard services\",\n                \"icon\": \"fa-check\",\n                \"field\": \"standard_services\",\n                \"field_to_display\": \"name\"\n              },\n              {\n                \"label\": \"Reservable purposes\",\n                \"icon\": \"fa-tags\",\n                \"field\": \"reservable_purposes\",\n                \"field_to_display\": \"name\"\n              }\n            ]\n          },\n          \"timeSlots\": [\n            {\n              \"sys_id\": \"d5331cf2dbb5f01038e42b24ca961906\",\n              \"name\": \"All day\",\n              \"short_description\": \"8am - 6pm\",\n              \"slot_start\": \"08:00\",\n              \"slot_end\": \"18:00\"\n            },\n            {\n              \"sys_id\": \"de131cf2dbb5f01038e42b24ca961931\",\n              \"name\": \"Before noon\",\n              \"short_description\": \"8am - 12pm\",\n              \"slot_start\": \"08:00\",\n              \"slot_end\": \"12:00\"\n            },\n            {\n              \"sys_id\": \"6e99ab5ddbb930102e8e853e68961929\",\n              \"name\": \"After noon\",\n              \"short_description\": \"1pm - 6pm\",\n              \"slot_start\": \"13:00\",\n              \"slot_end\": \"18:00\"\n            }\n          ],\n          \"buildingSysIds\": [\n            \"9e0364cedb3650106c731dcd1396192b\"\n          ],\n          \"reservable_views\": [\n            {\n              \"type\": \"card\",\n              \"label\": \"Card view\",\n              \"iconClass\": \"fa-th-large\",\n              \"isDefault\": true,\n              \"order\": \"1\"\n            },\n            {\n              \"type\": \"schedule\",\n              \"label\": \"Schedule view\",\n              \"iconClass\": \"fa-calendar-o\",\n              \"isDefault\": false,\n              \"order\": \"2\"\n            }\n          ],\n          \"checkin_before_minutes\": 30,\n          \"reservation_paths\": [\n            {\n              \"value\": \"browse_all\",\n              \"displayValue\": \"Browse all\"\n            },\n            {\n              \"value\": \"browse_near_a_person\",\n              \"displayValue\": \"Browse near a person\"\n            },\n            {\n              \"value\": \"browse_by_area\",\n              \"displayValue\": \"Browse by area\"\n            }\n          ],\n          \"override_approval_policy\": \"never_required\"\n        },\n        \"notification_recipients\": null,\n        \"notification_custom_message\": null,\n        \"opened_by\": {\n          \"sys_id\": \"6816f79cc0a8016401c5a33be04be441\",\n          \"value\": \"6816f79cc0a8016401c5a33be04be441\",\n          \"displayValue\": \"System Administrator\",\n          \"display_value\": \"System Administrator\",\n          \"name\": \"System Administrator\",\n          \"user_name\": \"admin\",\n          \"table\": \"sys_user\",\n          \"avatar\": \"c148e1d13741310042106710ce41f149.iix?t=small\",\n          \"initials\": \"SA\",\n          \"email\": \"admin@example.com\",\n          \"label\": \"System Administrator, Finance\"\n        },\n        \"requested_for\": {\n          \"sys_id\": \"62826bf03710200044e0bfc8bcbe5df1\",\n          \"value\": \"62826bf03710200044e0bfc8bcbe5df1\",\n          \"displayValue\": \"Abel Tuter\",\n          \"display_value\": \"Abel Tuter\",\n          \"name\": \"Abel Tuter\",\n          \"user_name\": \"abel.tuter\",\n          \"table\": \"sys_user\",\n          \"avatar\": \"063e38383730310042106710ce41f13b.iix?t=small\",\n          \"initials\": \"AT\",\n          \"email\": \"abel.tuter@example.com\",\n          \"label\": \"Product Management\"\n        },\n        \"edit_restriction\": {\n          \"value\": \"fully_restricted\",\n          \"display_value\": \"Fully restricted\"\n        },\n        \"source\": {\n          \"value\": \"servicenow\",\n          \"display_value\": \"Workplace Services\"\n        },\n        \"source_reservation_requester\": {\n          \"sys_id\": \"6816f79cc0a8016401c5a33be04be441\",\n          \"name\": \"System Administrator\",\n          \"user_name\": \"admin\"\n        },\n        \"source_icon\": {\n          \"classNames\": \"fa fa-calendar-check-o\",\n          \"tooltip\": \"Reservation is confirmed\",\n          \"imgSrc\": \"\"\n        },\n        \"shift\": null,\n        \"reservationAcl\": {\n          \"write\": {\n            \"record\": true,\n            \"fields\": {\n              \"subject\": true,\n              \"sensitivity\": true,\n              \"requested_for\": true,\n              \"number_of_attendees\": true,\n              \"location\": true\n            },\n            \"allFields\": true\n          },\n          \"read\": true\n        }\n      },\n      {\n        \"sys_id\": \"6a24d0d1533b01103cf7ddeeff7b126e\",\n        \"number\": \"WRES0001144\",\n        \"location\": {\n          \"sys_id\": \"32f2a98adb7210106c731dcd13961972\",\n          \"name\": \"B1-03-04\",\n          \"description\": \"Desk reserved for the Team-C. After 10am, free to reserve for everyone.\",\n          \"display_value\": \"B1-03-04\",\n          \"capacity\": 1,\n          \"label_value\": \"Workspace/Desk name\",\n          \"email\": null,\n          \"reservable_module\": {\n            \"sys_id\": \"5db44502dbb650106c731dcd13961937\",\n            \"name\": \"Desks\",\n            \"title\": \"Desks\",\n            \"inline_title\": \"desk\"\n          },\n          \"region\": {\n            \"sys_id\": \"2d626c4edb3650106c731dcd1396194b\",\n            \"display_value\": \"Europe\",\n            \"active\": true\n          },\n          \"site\": {\n            \"sys_id\": \"b17220cedb3650106c731dcd1396197a\",\n            \"display_value\": \"Western Europe\",\n            \"active\": true\n          },\n          \"campus\": {\n            \"sys_id\": \"44d2e0cedb3650106c731dcd13961988\",\n            \"display_value\": \"Amsterdam Campus\",\n            \"active\": true\n          },\n          \"building\": {\n            \"sys_id\": \"9e0364cedb3650106c731dcd1396192b\",\n            \"display_value\": \"AMS-B1\",\n            \"active\": true,\n            \"timezone\": {\n              \"value\": \"Europe/Amsterdam\",\n              \"displayValue\": \"Europe/Amsterdam\"\n            }\n          },\n          \"floor\": {\n            \"sys_id\": \"5373a8cedb3650106c731dcd1396198a\",\n            \"display_value\": \"Floor 3\",\n            \"active\": true\n          },\n          \"area\": {\n            \"sys_id\": \"410ff04edb7650106c731dcd13961973\",\n            \"display_value\": \"Desks C1\",\n            \"active\": true\n          },\n          \"reservation\": {\n            \"sys_id\": \"6a24d0d1533b01103cf7ddeeff7b126e\",\n            \"number_of_attendees\": 1,\n            \"state\": {\n              \"value\": \"confirmed\",\n              \"display_value\": \"Confirmed\"\n            },\n            \"requested_for\": {\n              \"sys_id\": \"a8f98bb0eb32010045e1a5115206fe3a\",\n              \"name\": \"Abraham Lincoln\",\n              \"user_name\": \"abraham.lincoln\"\n            },\n            \"number\": \"WRES0001144\",\n            \"active\": true\n          },\n          \"number_of_attendees\": 1,\n          \"state\": {\n            \"value\": \"confirmed\",\n            \"display_value\": \"Confirmed\"\n          },\n          \"number\": \"WRES0001144\",\n          \"requested_for\": {\n            \"sys_id\": \"a8f98bb0eb32010045e1a5115206fe3a\",\n            \"name\": \"Abraham Lincoln\",\n            \"user_name\": \"abraham.lincoln\"\n          }\n        },\n        \"start\": \"2022-05-30T04:30:00Z\",\n        \"end\": \"2022-05-30T05:30:00Z\",\n        \"sys_created_on\": \"2022-05-30T04:19:02Z\",\n        \"sys_updated_on\": \"2022-05-30T04:19:04Z\",\n        \"source_reservation\": {\n          \"sys_id\": \"e2245051533b01103cf7ddeeff7b12d6\",\n          \"display_value\": \"WRES0001142\",\n          \"name\": \"WRES0001142\"\n        },\n        \"check_in_state\": {\n          \"value\": \"awaiting_check_in\",\n          \"display_value\": \"Awaiting check-in\"\n        },\n        \"external_id\": null,\n        \"external_ical\": null,\n        \"active\": true,\n        \"state\": {\n          \"value\": \"confirmed\",\n          \"display_value\": \"Confirmed\"\n        },\n        \"sensitivity\": {\n          \"value\": \"normal\",\n          \"display_value\": \"Normal\"\n        },\n        \"reservation_type\": {\n          \"value\": \"space\",\n          \"display_value\": \"Space\"\n        },\n        \"reservation_subtype\": {\n          \"value\": \"single\",\n          \"display_value\": \"Single\"\n        },\n        \"reservation_purpose\": {\n          \"value\": \"meeting\",\n          \"display_value\": \"Meeting\"\n        },\n        \"attendees\": null,\n        \"number_of_attendees\": 1,\n        \"is_parent\": false,\n        \"subject\": \"Test#52\",\n        \"virtual_meeting\": null,\n        \"recording_details\": [],\n        \"sync_state\": {\n          \"value\": \"not_required\",\n          \"display_value\": \"Synchronization not required\"\n        },\n        \"sub_source\": {\n          \"value\": \"servicenow_workplace_service_delivery\",\n          \"display_value\": \"ServiceNow Workplace Service Delivery\"\n        },\n        \"last_updated_sub_source\": {\n          \"value\": \"servicenow_workplace_service_delivery\",\n          \"display_value\": \"ServiceNow Workplace Service Delivery\"\n        },\n        \"reservable_module\": {\n          \"sys_id\": \"5db44502dbb650106c731dcd13961937\",\n          \"name\": \"Desks\",\n          \"title\": \"Desks\",\n          \"inline_title\": \"desk\",\n          \"font_awesome_icon\": \"fa-desktop\",\n          \"reservable_table\": \"sn_wsd_core_space\",\n          \"reservable_filter\": \"active=true^is_reservable=true^location_type=5f017383eb512010b89bfdfc9c5228c8^building.is_reservable=true^floor.is_reservable=true^EQ\",\n          \"short_description\": \"Reserve a single desks\",\n          \"reservable_type\": \"location\",\n          \"require_subject\": null,\n          \"require_cancel_notes\": false,\n          \"virtual_meeting_provider\": {\n            \"sys_id\": \"e33d9e6853c201103cf7ddeeff7b1205\",\n            \"display_value\": \"Template\"\n          },\n          \"allow_invitees\": null,\n          \"display_number_of_attendees\": null,\n          \"display_on_behalf_of\": \"1\",\n          \"display_sensitivity\": null,\n          \"max_days_in_future\": \"90\",\n          \"allow_whole_day\": \"1\",\n          \"require_whole_day\": null,\n          \"selection_type\": \"unit\",\n          \"reservable_container_field\": null,\n          \"reservable_quantity_field\": null,\n          \"apply_to_shift\": null,\n          \"max_occurrences\": \"90\",\n          \"enable_facet_filter\": false,\n          \"search_limit\": 10000,\n          \"enable_ical_generation\": null,\n          \"enable_group_reservations\": \"1\",\n          \"enable_browse_near_a_person\": \"1\",\n          \"enable_browse_by_area\": \"1\",\n          \"display_value\": \"Desks\",\n          \"browse_near_a_person_enabled\": true,\n          \"browse_by_area_enabled\": true,\n          \"reservable_columns\": [\n            \"sys_id\",\n            \"external_id\",\n            \"email\",\n            \"name\",\n            \"title\",\n            \"description\",\n            \"image\",\n            \"number\",\n            \"site\",\n            \"campus\",\n            \"building\",\n            \"floor\",\n            \"area\",\n            \"capacity\",\n            \"reservable_quantity\",\n            \"location_type\",\n            \"order\",\n            \"requires_check_in\",\n            \"is_reservable\"\n          ],\n          \"layout_mapping\": {\n            \"title\": [\n              \"name\"\n            ],\n            \"description\": [\n              \"description\"\n            ],\n            \"subtitle\": [\n              \"campus\",\n              \"building\",\n              \"floor\",\n              \"area\"\n            ],\n            \"subtitle_asc\": [\n              \"area\",\n              \"floor\",\n              \"building\",\n              \"campus\"\n            ],\n            \"image\": \"image\",\n            \"body\": [\n              {\n                \"label\": \"Capacity\",\n                \"icon\": \"fa-users\",\n                \"field\": \"capacity\",\n                \"field_to_display\": \"\"\n              },\n              {\n                \"label\": \"Standard services\",\n                \"icon\": \"fa-check\",\n                \"field\": \"standard_services\",\n                \"field_to_display\": \"name\"\n              },\n              {\n                \"label\": \"Reservable purposes\",\n                \"icon\": \"fa-tags\",\n                \"field\": \"reservable_purposes\",\n                \"field_to_display\": \"name\"\n              }\n            ]\n          },\n          \"timeSlots\": [\n            {\n              \"sys_id\": \"d5331cf2dbb5f01038e42b24ca961906\",\n              \"name\": \"All day\",\n              \"short_description\": \"8am - 6pm\",\n              \"slot_start\": \"08:00\",\n              \"slot_end\": \"18:00\"\n            },\n            {\n              \"sys_id\": \"de131cf2dbb5f01038e42b24ca961931\",\n              \"name\": \"Before noon\",\n              \"short_description\": \"8am - 12pm\",\n              \"slot_start\": \"08:00\",\n              \"slot_end\": \"12:00\"\n            },\n            {\n              \"sys_id\": \"6e99ab5ddbb930102e8e853e68961929\",\n              \"name\": \"After noon\",\n              \"short_description\": \"1pm - 6pm\",\n              \"slot_start\": \"13:00\",\n              \"slot_end\": \"18:00\"\n            }\n          ],\n          \"buildingSysIds\": [\n            \"9e0364cedb3650106c731dcd1396192b\"\n          ],\n          \"reservable_views\": [\n            {\n              \"type\": \"card\",\n              \"label\": \"Card view\",\n              \"iconClass\": \"fa-th-large\",\n              \"isDefault\": true,\n              \"order\": \"1\"\n            },\n            {\n              \"type\": \"schedule\",\n              \"label\": \"Schedule view\",\n              \"iconClass\": \"fa-calendar-o\",\n              \"isDefault\": false,\n              \"order\": \"2\"\n            }\n          ],\n          \"checkin_before_minutes\": 30,\n          \"reservation_paths\": [\n            {\n              \"value\": \"browse_all\",\n              \"displayValue\": \"Browse all\"\n            },\n            {\n              \"value\": \"browse_near_a_person\",\n              \"displayValue\": \"Browse near a person\"\n            },\n            {\n              \"value\": \"browse_by_area\",\n              \"displayValue\": \"Browse by area\"\n            }\n          ],\n          \"override_approval_policy\": \"never_required\"\n        },\n        \"notification_recipients\": null,\n        \"notification_custom_message\": null,\n        \"opened_by\": {\n          \"sys_id\": \"6816f79cc0a8016401c5a33be04be441\",\n          \"value\": \"6816f79cc0a8016401c5a33be04be441\",\n          \"displayValue\": \"System Administrator\",\n          \"display_value\": \"System Administrator\",\n          \"name\": \"System Administrator\",\n          \"user_name\": \"admin\",\n          \"table\": \"sys_user\",\n          \"avatar\": \"c148e1d13741310042106710ce41f149.iix?t=small\",\n          \"initials\": \"SA\",\n          \"email\": \"admin@example.com\",\n          \"label\": \"System Administrator, Finance\"\n        },\n        \"requested_for\": {\n          \"sys_id\": \"a8f98bb0eb32010045e1a5115206fe3a\",\n          \"value\": \"a8f98bb0eb32010045e1a5115206fe3a\",\n          \"displayValue\": \"Abraham Lincoln\",\n          \"display_value\": \"Abraham Lincoln\",\n          \"name\": \"Abraham Lincoln\",\n          \"user_name\": \"abraham.lincoln\",\n          \"table\": \"sys_user\",\n          \"avatar\": null,\n          \"initials\": \"AL\",\n          \"email\": \"abraham.lincoln@example.com\",\n          \"label\": \"\"\n        },\n        \"edit_restriction\": {\n          \"value\": \"fully_restricted\",\n          \"display_value\": \"Fully restricted\"\n        },\n        \"source\": {\n          \"value\": \"servicenow\",\n          \"display_value\": \"Workplace Services\"\n        },\n        \"source_reservation_requester\": {\n          \"sys_id\": \"6816f79cc0a8016401c5a33be04be441\",\n          \"name\": \"System Administrator\",\n          \"user_name\": \"admin\"\n        },\n        \"source_icon\": {\n          \"classNames\": \"fa fa-calendar-check-o\",\n          \"tooltip\": \"Reservation is confirmed\",\n          \"imgSrc\": \"\"\n        },\n        \"shift\": null,\n        \"reservationAcl\": {\n          \"write\": {\n            \"record\": true,\n            \"fields\": {\n              \"subject\": true,\n              \"sensitivity\": true,\n              \"requested_for\": true,\n              \"number_of_attendees\": true,\n              \"location\": true\n            },\n            \"allFields\": true\n          },\n          \"read\": true\n        }\n      }\n    ]\n  }\n}\n\n```\n\n## WSD Group Reservation - PATCH /api/sn\\_wsd\\_rsv/group\\_reservation/cancel/\\{id\\}\n\nCancels a specified group reservation.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/group_reservation/cancel/{id}`\n\nDefault URL: `/api/sn_wsd_rsv/group_reservation/cancel/{id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the parent reservation record.\n\nWhen a group reservation is created, one group parent record and one or more child reservation records are created. Reservation records contain a field called reservation\\_subtype, that indicates the type of reservation record. For group parent records, this field is set to \"Group parent\" to indicate that it is a group parent record. For child records, this field is set to \"Single\".\n\nWithin a child record, the sys\\_id of the associated parent reservation record is in the source\\_reservation field.\n\nData type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncancel\\_notes\n\n</td><td>\n\nReason for cancelling the reservation.Data type: String\n\n Default: \"Canceled reservation via Group cancel\"\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-reserv-entry\">\n\nData format of the request body. Supported types: **application/json**, **application/xml** or, **text/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-JSON-only-entry-RESTAPI\">\n\nData format of the request body. Only supports **application/json**.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. Invalid or no parent reservation sys\\_id provided.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Access denied. Unable to cancel group reservation. User has insufficient rights to cancel the requested group reservation.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nResults of the group reservation cancel request.Data type: Object\n\n ```\n\"result\": {\n  \"allChildrenCanceled\": Boolean,\n  \"cancelledParent\": Boolean,\n  \"canceledReservations\": [Array],\n  \"failedChildMeetings\": [Array],\n  \"msg\": \"String\",\n  \"parent\": \"String\",\n  \"success\": Boolean,\n  \"user_msg\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.allChildrenCanceled\n\n</td><td>\n\nFlag that indicates whether all child reservations associated with the group reservation were successfully cancelled.Possible values:\n\n-   true: Successfully cancelled.\n-   false: Not all child reservations were cancelled. The **failedChildMeetings** parameter contains a list of the sys\\_ids of the child reservations that were not cancelled.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nresult.cancelledParent\n\n</td><td>\n\nFlag that indicates whether the parent reservation for the group reservation were successfully cancelled.Possible values:\n\n-   true: Parent reservation was cancelled.\n-   false: Parent reservation was not cancelled.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nresult.canceledReservations\n\n</td><td>\n\nList of sys\\_ids of the child reservations that were successfully canceled.Data type: Array\n\n</td></tr><tr><td>\n\nresult.failedChildMeetings\n\n</td><td>\n\nList of sys\\_ids of the child reservations that were not canceled.Data type: Array\n\n</td></tr><tr><td>\n\nresult.msg\n\n</td><td>\n\nIf any reservation failed to cancel, this parameter contains a message about the cause of failure.Data type: String\n\n</td></tr><tr><td>\n\nresult.parent\n\n</td><td>\n\nSys\\_id of the parent reservation that was cancelled.Data type: String\n\n</td></tr><tr><td>\n\nresult.success\n\n</td><td>\n\nFlag that indicates whether the group reservation was successfully cancelled.Possible values:\n\n-   true: Group reservation was successfully cancelled.\n-   false: One or more of the associated group reservations were not cancelled. Additional details are provided within the results.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nresult.user\\_msg\n\n</td><td>\n\nReserved for future use. If any reservation failed to cancel, this parameter contains a translated message about the cause of failure that you can display in the UI.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to cancel a group reservation.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/group_reservation/cancel/22c1aee353af01103cf7ddeeff7b12d5\" \\\n--request PATCH \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n    \\\"cancel_notes\\\":\\\"Need to postpone until next quarter\\\"\n}\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"success\": true,\n    \"canceledReservations\": [\n      \"6ec1aee353af01103cf7ddeeff7b12d8\",\n      \"aac1aee353af01103cf7ddeeff7b12db\"\n    ],\n    \"failedChildMeetings\": [],\n    \"cancelledParent\": true,\n    \"allChildrenCanceled\": true,\n    \"msg\": \"\",\n    \"user_msg\": \"\",\n    \"parent\": \"22c1aee353af01103cf7ddeeff7b12d5\"\n  }\n}\n```\n\n## WSD Group Reservation - PATCH /api/sn\\_wsd\\_rsv/group\\_reservation/update/\\{id\\}\n\nUpdates a specified group reservation.\n\nYou can update the following reservation parameters:\n\n-   Subject\n-   Start date and time\n-   End date and time\n-   Shift associated with the reservation\n-   Workplace location of any child reservation\n\n**Note:** You must specify at least one of these parameters in the request body of the endpoint call. Parameters that are not passed in are not modified in the associated records.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/group_reservation/update/{id}`\n\nDefault URL: `/api/sn_wsd_rsv/group_reservation/update/{id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the parent reservation record.\n\nWhen a group reservation is created, one group parent record and one or more child reservation records are created. Reservation records contain a field called reservation\\_subtype, that indicates the type of reservation record. For group parent records, this field is set to \"Group parent\" to indicate that it is a group parent record. For child records, this field is set to \"Single\".\n\nWithin a child record, the sys\\_id of the associated parent reservation record is in the source\\_reservation field.\n\nData type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nchildren\n\n</td><td>\n\nUpdated list of child reservations records to associate with the reservation.Data type: Array of Objects\n\n ```\n\"children\": [\n  {\n    \"is_private\": Boolean,\n    \"location\": \"String\",\n    \"requested_for\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nchildren.is\\_private\n\n</td><td>\n\nFlag that indicates whether the reservation is private. If private, the reservation doesn't appear to anyone except the owner.For additional information on these privacy settings, see [Location privacy settings and impact](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/location-privacy-settings-and-impact.md).\n\nValid values:\n\n-   true: Reservation is private.\n-   false: Reservation isn't private.\n\nData type: Boolean\n\nDefault: Value set for privacy in the system properties.\n\n</td></tr><tr><td>\n\nchildren.location\n\n</td><td>\n\nUpdated sys\\_id of the location to reserve.Data type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nchildren.requested\\_for\n\n</td><td>\n\nUpdated sys\\_id of the user for whom the reservation is being requested.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nend\n\n</td><td>\n\nUpdated end time of the reservation.Data type: String\n\nFormat: UTC or local time \\(yyyy-mm-dd hh:mm:ss\\)\n\n</td></tr><tr><td>\n\nrequested\\_for\n\n</td><td id=\"requested_for-update_reserv-entry\">\n\nSys\\_id or email address of the user for which the reservation is being made.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nreservable\\_module\n\n</td><td id=\"reservable_module-update_reserv-entry\">\n\nRequired only for April 2026 store and earlier releases. Not required with May 2026 store and later releases. Sys\\_id of the reservable module to associate with the reservation. A [reservable module](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/config-reservable-module.md) defines the workplace items needed for a reservation.\n\nData type: String\n\nTable: Reservable Module \\[sn\\_wsd\\_rsv\\_reservable\\_module\\]\n\n</td></tr><tr><td>\n\nshift\n\n</td><td id=\"shift-update_reserv-entry\">\n\nUpdated sys\\_id of the shift to associate with the reservation.For additional information on shift-based reservations, see [Enable shift-based reservation](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/wsd-reservation-setup.md).\n\nData type: String\n\nTable: Shift \\[sn\\_wsd\\_core\\_shift\\]\n\n</td></tr><tr><td>\n\nstart\n\n</td><td id=\"start-update_reserv-entry\">\n\nUpdated start time of the reservation.Data type: String\n\nFormat: UTC or local time \\(yyyy-mm-dd hh:mm:ss\\)\n\nDefault: Empty - start time is specified in child reservations\n\n</td></tr><tr><td>\n\nsubject\n\n</td><td id=\"subject-update_reserv-entry\">\n\nUpdated subject of the meeting associated with the reservation.Data type: String\n\nDefault: Empty\n\n</td></tr><tr><td>\n\nworkplace\\_location\n\n</td><td>\n\nUpdated sys\\_id of the workplace location to associate with the group reservation.Data type: String\n\nDefault: Empty - locations are specified in child reservations\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-reserv-entry\">\n\nData format of the request body. Supported types: **application/json**, **application/xml** or, **text/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-JSON-only-entry-RESTAPI\">\n\nData format of the request body. Only supports **application/json**.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td id=\"result-multi-entry\">\n\nReturn results from the multi-reservation creation or update.Data type: Object\n\n```\n\"result\": {\n  \"parent\": \"String\",\n  \"success\": Boolean,\n  \"successfulReservations\": [Array],\n  \"unSuccessfulReservations\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nresult.parent\n\n</td><td id=\"parent-multi-entry\">\n\nSys\\_id of the parent reservation that was updated.Data type: String\n\n</td></tr><tr><td>\n\nresult.success\n\n</td><td id=\"success-multi-entry\">\n\nFlag that indicates whether the reservation was successfully created.Possible values:\n\n-   true: Successfully created.\n-   false: Operation failed.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.successfulReservations\n\n</td><td>\n\nList of the reservations that were successfully updated.Data type: Array of Objects\n\n```\n\"successfulReservations\": [\n  {\n    \"msg\": \"String\",\n    \"operation\": \"String\"\n    \"sys_id\": \"String\",\n    \"user_msg\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.successfulReservations.msg\n\n</td><td>\n\nInternal message about the update. Provides technical information about the operation.Data type: String\n\n</td></tr><tr><td>\n\nresult.successfulReservations.operation\n\n</td><td id=\"successfulReservations_reservable-multi-entry\">\n\nType of operation that was performed, such as create or update. If a new reservable is added to the group reservation, such as an added room, this value is returned as `create`, otherwise it is set to `update`.Data type: String\n\n</td></tr><tr><td>\n\nresult.successfulReservations.sys\\_id\n\n</td><td id=\"successfulReservations_sys_id-multi-entry\">\n\nSys\\_id of the reservation that was created.Data type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nresult.successfulReservations.user\\_msg\n\n</td><td>\n\nUser message about the update. This message may be translated based on the user's language preference and should be the one that appears in the UI.Data type: String\n\n</td></tr><tr><td>\n\nresult.unSuccessfulReservations\n\n</td><td>\n\nList of the reservations that were unsuccessfully updated.Data type: Array of Objects\n\n```\n\"unSuccessfulReservations\": [\n  {\n    \"msg\": \"String\",\n    \"operation\": \"String\"\n    \"sys_id\": \"String\",\n    \"user_msg\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.unSuccessfulReservations.msg\n\n</td><td>\n\nMessage about the update error.Data type: String\n\n</td></tr><tr><td>\n\nresult.unSuccessfulReservations.operation\n\n</td><td>\n\nType of operation that was performed, such as create or update.Data type: String\n\n</td></tr><tr id=\"successfulReservations_sys_id-multi-row\"><td>\n\nresult.unSuccessfulReservations.sys\\_id\n\n</td><td>\n\nSys\\_id of the reservation that was created.Data type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nresult.unSuccessfulReservations.user\\_msg\n\n</td><td>\n\nMessage about the update error.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example shows how to call this endpoint to update a group reservation.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/group_reservation/update/b84e218a87586550cfaa99b73cbb35ec\" \\\n--request PATCH \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n    \\\"reservable_module\\\": \\\"5db44502dbb650106c731dcd13961937\\\",\n    \\\"subject\\\": \\\"Test-123\\\",\n    \\\"reservation_purpose\\\": \\\"meeting\\\",\n    \\\"timezone\\\": \\\"US/Pacific\\\",\n    \\\"children\\\": [\n        {\n            \\\"location\\\": \\\"6a11a94adb7210106c731dcd1396194e\\\",\n            \\\"requested_for\\\": \\\"62826bf03710200044e0bfc8bcbe5df1\\\",\n            \\\"is_private\\\": false\n        },\n        {\n            \\\"location\\\": \\\"9841e94adb7210106c731dcd13961914\\\",\n            \\\"requested_for\\\": \\\"6816f79cc0a8016401c5a33be04be441\\\",\n            \\\"is_private\\\": false\n        }\n    ],\n    \\\"start\\\": \\\"2023-02-12T11:30:00Z\\\",\n    \\\"end\\\": \\\"2023-02-12T12:30:00Z\\\"\n}\" \\\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"parent\": \"b84e218a87586550cfaa99b73cbb35ec\",\n    \"success\": true,\n    \"successfulReservations\": [\n      {\n        \"operation\": \"create\",\n        \"sys_id\": \"7b9e658a87586550cfaa99b73cbb357d\",\n        \"msg\": \"\",\n        \"user_msg\": null,\n        \"location\": \"6a11a94adb7210106c731dcd1396194e\"\n      },\n      {\n        \"operation\": \"create\",\n        \"sys_id\": \"3b9e658a87586550cfaa99b73cbb3580\",\n        \"msg\": \"\",\n        \"user_msg\": null,\n        \"location\": \"9841e94adb7210106c731dcd13961914\"\n      }\n    ],\n    \"unSuccessfulReservations\": []\n  }\n}\n```\n\n## WSD Group Reservation - POST /api/sn\\_wsd\\_rsv/group\\_reservation/add\n\nCreates a group reservation.\n\n### URL format\n\nVersioned URL: `/api/sn_wsd_rsv/{api_version}/group_reservation/add`\n\nDefault URL: `/api/sn_wsd_rsv/group_reservation/add`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nchildren\n\n</td><td>\n\nRequired. List of child reservations records to associate with the reservation.Data type: Array of Objects\n\n```\n\"children\": [\n  {\n    \"is_private\": Boolean,\n    \"location\": \"String\",\n    \"requested_for\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nchildren.is\\_private\n\n</td><td>\n\nFlag that indicates whether the reservation is private. If private, the reservation doesn't appear to anyone except the owner.For additional information on these privacy settings, see [Location privacy settings and impact](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/location-privacy-settings-and-impact.md).\n\nValid values:\n\n-   true: Reservation is private.\n-   false: Reservation isn't private.\n\nData type: Boolean\n\nDefault: Value set for privacy in the system properties.\n\n</td></tr><tr><td>\n\nchildren.location\n\n</td><td>\n\nRequired. Sys\\_id of the location to reserve.\n\nData type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nchildren.requested\\_for\n\n</td><td>\n\nRequired. Sys\\_id of the user for whom the reservation is being requested.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nend\n\n</td><td id=\"end-update_reserv-entry\">\n\nRequired if the **shift** parameter isn't passed in. Requested end time of the reservation.Data type: String\n\nFormat: UTC or local time \\(yyyy-mm-dd hh:mm:ss\\)\n\n</td></tr><tr><td>\n\nrequested\\_for\n\n</td><td id=\"requested_for-update_reserv-entry\">\n\nSys\\_id or email address of the user for which the reservation is being made.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr><tr><td>\n\nreservable\\_module\n\n</td><td id=\"reservable_module-update_reserv-entry\">\n\nRequired only for April 2026 store and earlier releases. Not required with May 2026 store and later releases. Sys\\_id of the reservable module to associate with the reservation. A [reservable module](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/config-reservable-module.md) defines the workplace items needed for a reservation.\n\nData type: String\n\nTable: Reservable Module \\[sn\\_wsd\\_rsv\\_reservable\\_module\\]\n\n</td></tr><tr><td>\n\nshift\n\n</td><td id=\"shift-update_reserv-entry\">\n\nSys\\_id of the shift to associate with the reservation. If this parameter is passed in, the **end** parameter isn't required.\n\nFor additional information on shift-based reservations, see [Enable shift-based reservation](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/employee-service-management/wsd-reservation-setup.md).\n\nData type: String\n\nTable: Shift \\[sn\\_wsd\\_core\\_shift\\]\n\n</td></tr><tr><td>\n\nstart\n\n</td><td id=\"start-update_reserv-entry\">\n\nRequired. Requested start time of the reservation.Data type: String\n\nFormat: UTC or local time \\(yyyy-mm-dd hh:mm:ss\\)\n\n</td></tr><tr><td>\n\nsubject\n\n</td><td id=\"subject-update_reserv-entry\">\n\nRequired. Subject of the meeting associated with the reservation.\n\nData type: String\n\n</td></tr><tr><td>\n\nworkplace\\_location\n\n</td><td>\n\nSys\\_id of the workplace location to associate with the group reservation.Data type: String\n\nDefault: Empty - locations are specified in child reservations\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-reserv-entry\">\n\nData format of the request body. Supported types: **application/json**, **application/xml** or, **text/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td id=\"content_type-JSON-only-entry-RESTAPI\">\n\nData format of the request body. Only supports **application/json**.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nDetails about the created group reservations.Data type: Object\n\n```\n\"result\": {\n  \"created_children\": [Array],\n  \"failed_children\": [Array],\n  \"msg\": \"String\",\n  \"parent\": \"String\",\n  \"success\": Boolean,\n  \"user_msg\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresult.created\\_children\n\n</td><td>\n\nDetails about the child reservations that were created.Data type: Array of Objects\n\n```\n\"created_children\": [\n  {\n    \"location\": \"String\",\n    \"requested_for\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.created\\_children.location\n\n</td><td>\n\nSys\\_id of the location to reserve.\n\nData type: String\n\nTable: Workplace Location \\[sn\\_wsd\\_core\\_workplace\\_location\\]\n\n</td></tr><tr><td>\n\nresult.created\\_children.requested\\_for\n\n</td><td>\n\nSys\\_id of the user for whom the child reservation was created.Data type: String\n\n</td></tr><tr><td>\n\nresult.created\\_children.sys\\_id\n\n</td><td>\n\nSys\\_id of the child reservation record that was created.Data type: String\n\n</td></tr><tr><td>\n\nresult.failed\\_children\n\n</td><td>\n\nDetails about the child reservations that failed to be created.Data type: Array of Objects\n\n```\n\"failed_children\": [\n  {\n    \"location\": \"String\",\n    \"requested_for\": \"String\",\n    \"sys_id\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.failed\\_children.location\n\n</td><td>\n\nSys\\_id of the location record associated with the failed reservation.Data type: String\n\n</td></tr><tr><td>\n\nresult.failed\\_children.requested\\_for\n\n</td><td>\n\nSys\\_id of the user for whom the child reservation was requested.Data type: String\n\n</td></tr><tr><td>\n\nresult.failed\\_children.sys\\_id\n\n</td><td>\n\nAlways -1.Data type: String\n\n</td></tr><tr><td>\n\nresult.msg\n\n</td><td>\n\nIf the request fails, message that describes the error.Data type: String\n\n</td></tr><tr><td>\n\nresult.parent\n\n</td><td>\n\nSys\\_id of the parent reservation record.\n\nWhen a group reservation is created, one group parent record and one or more child reservation records are created. Reservation records contain a field called reservation\\_subtype, that indicates the type of reservation record. For group parent records, this field is set to \"Group parent\" to indicate that it is a group parent record. For child records, this field is set to \"Single\".\n\nWithin a child record, the sys\\_id of the associated parent reservation record is in the source\\_reservation field.\n\nData type: String\n\nTable: Workplace Reservation \\[sn\\_wsd\\_rsv\\_reservation\\]\n\n</td></tr><tr><td>\n\nresult.success\n\n</td><td id=\"success-multi-entry\">\n\nFlag that indicates whether the reservation was successfully created.Possible values:\n\n-   true: Successfully created.\n-   false: Operation failed.\n\nData type: Boolean\n\n</td></tr><tr><td>\n\nresult.userMsg\n\n</td><td>\n\nIf the request fails, message that describes the error.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to use this endpoint to create a group reservations.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_wsd_rsv/group_reservation/add\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n    \\\"reservable_module\\\": \\\"5db44502dbb650106c731dcd13961937\\\",\n    \\\"subject\\\": \\\"Test-123\\\",\n    \\\"reservation_purpose\\\": \\\"meeting\\\",\n    \\\"timezone\\\": \\\"US/Pacific\\\",\n    \\\"children\\\": [\n        {\n            \\\"location\\\": \\\"6a11a94adb7210106c731dcd1396194e\\\",\n            \\\"requested_for\\\": \\\"62826bf03710200044e0bfc8bcbe5df1\\\",\n            \\\"is_private\\\": false\n        },\n        {\n            \\\"location\\\": \\\"9841e94adb7210106c731dcd13961914\\\",\n            \\\"requested_for\\\": \\\"6816f79cc0a8016401c5a33be04be441\\\",\n            \\\"is_private\\\": false\n        }\n    ],\n    \\\"start\\\": \\\"2023-01-12T11:30:00Z\\\",\n    \\\"end\\\": \\\"2023-01-12T12:30:00Z\\\"\n}\" \\\n--user 'username':'password'\n```\n\nReturn results:\n\n```\n{\n  \"result\": {\n    \"parent\": \"b84e218a87586550cfaa99b73cbb35ec\",\n    \"success\": true,\n    \"created_children\": [\n      {\n        \"sys_id\": \"7c4e218a87586550cfaa99b73cbb35ee\",\n        \"location\": \"6a11a94adb7210106c731dcd1396194e\",\n        \"requested_for\": \"62826bf03710200044e0bfc8bcbe5df1\"\n      },\n      {\n        \"sys_id\": \"3c4e218a87586550cfaa99b73cbb35f1\",\n        \"location\": \"9841e94adb7210106c731dcd13961914\",\n        \"requested_for\": \"6816f79cc0a8016401c5a33be04be441\"\n      }\n    ],\n    \"failed_children\": [],\n    \"user_msg\": \"\",\n    \"msg\": \"\"\n  }\n}\n```\n\n"}}